<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Infusion general information
$locale = fusion_get_locale("", AGVF_LOCALE);

$inf_title = $locale['AGVF_000'];
$inf_description = $locale['AGVF_001'];
$inf_version = "1.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "ageverify_panel";
$inf_image = "ageverify.svg";

//Multilanguage table for Administration
$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "AGVF"
];

// Insert Settings
$settings = [
    'ageverify_enable'       => 1,
    'ageverify_method'       => 0,
    'ageverify_age'          => 18,
    'ageverify_duration'     => 5184000,
    'ageverify_underageurl'  => '',
    'ageverify_underagetime' => 5000
];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('".$name."', '".$value."', '".$inf_folder."')";
}

$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES ('".$inf_title."', '".$inf_folder."', '', '5', '3', 'file', '".USER_LEVEL_PUBLIC."', '1', '1', '', '3', '".fusion_get_settings('enabled_languages')."')";

$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS.$inf_folder.'/locale/'.$language.'/ageverify.php')) {
            include INFUSIONS.$inf_folder.'/locale/'.$language.'/ageverify.php';
        } else {
            include INFUSIONS.$inf_folder.'/locale/Hungarian/ageverify.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "AGVF",
            'image'    => $inf_image,
            'title'    => $locale['AGVF_002'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'AGVF' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "AGVF",
        'image'    => $inf_image,
        'title'    => $locale['AGVF_002'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

$inf_deldbrow[] = DB_SETTINGS_INF." WHERE settings_inf = '".$inf_folder."'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'AGVF'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'AGVF'";
